import { fetchUserPosts, fetchAllPosts } from '../../src/posts';

async function getPageData(pageContext) {
	const posts = pageContext.session.user
		? await fetchUserPosts(pageContext.session.user)
		: await fetchAllPosts();

	return {
		posts,
	};
}

export { getPageData };
