import { createPost, votePost } from '../posts';

async function createPostApi(req, res) {
	const post = await createPost(req.body, req.params.shelfId, req.user);

	res.send(post);
}

async function votePostApi(req, res) {
	const votes = await votePost(req.params.postId, req.body.value, req.user);

	res.send(votes);
}

export {
	createPostApi as createPost,
	votePostApi as votePost,
};
