import { createShelf, subscribe, unsubscribe } from '../shelves';

async function createShelfApi(req, res) {
	const shelf = await createShelf(req.body, req.user);

	res.send(shelf);
}

async function subscribeApi(req, res) {
	await subscribe(req.params.shelfId, req.user);
	res.status(204).send();
}

async function unsubscribeApi(req, res) {
	await unsubscribe(req.params.shelfId, req.user);
	res.status(204).send();
}

export {
	createShelfApi as createShelf,
	subscribeApi as subscribe,
	unsubscribeApi as unsubscribe,
};
